<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<?php
include('../include/session.php');
?>

<?php
$receive_id=$_GET['receive_id'];

$table_name = $_SESSION['db_prefix']."_receive_store";
$receive_query = "SELECT *  FROM $table_name WHERE  receive_id = '".$receive_id."' ";
$receive_result = mySQL_query($receive_query);
$b0 = mysql_result($receive_result, 0, "receive_date");
$b1 = mysql_result($receive_result, 0, "delivery_note");
$b2 = mysql_result($receive_result, 0, "supplier_id");
$value = mysql_result($receive_result, 0, "value");
$transport = mysql_result($receive_result, 0, "transport");
$b5 = mysql_result($receive_result, 0, "purchase_order");
$company = mysql_result($receive_result, 0, "company");


$table_name = $_SESSION['db_prefix']."_receive_store";
$check_query = "SELECT receive_id FROM $table_name WHERE  delivery_note = '".$b1."' AND supplier_id = '".$b2."' ";
$check_result = mySQL_query($check_query);
$check_num = mysql_num_rows($check_result);
if ($check_num>1) {
	  	$check_message="There are multiple receivals on this delivery note.";
		
		$table_name2 = $_SESSION['db_prefix']."_receive_store";
	  	$entry_query = "SELECT receive_id FROM $table_name2 WHERE  delivery_note = '".$b1."' AND supplier_id = '".$b2."' ";
		$entry_result = mySQL_query($entry_query);
		$entry_num = mysql_num_rows($entry_result);
	  $k=0;
	  $search_text="";
	  while ($k<$entry_num) {
	  $x1 = mysql_result($entry_result, $k, "receive_id");
	  if ($k==$entry_num-1) {
		$search_text = $search_text ."receive_id ='".$x1;
	  }
	  else {
	  $search_text = $search_text ."receive_id ='".$x1."' OR ";
	  }
	  $k++;
	  }
	  
	 $table_name = $_SESSION['db_prefix']."_receive_store_lines";
	 $line_query = "SELECT *  FROM $table_name WHERE  (".$search_text."') AND store_item_id>0";
	 $line_result = mySQL_query($line_query);
	 $line_num = mysql_num_rows($line_result);
	 
	 $table_name = $_SESSION['db_prefix']."_receive_store_lines";
	 $line2_query = "SELECT *  FROM $table_name WHERE  (".$search_text."') AND order_no>0";
	 $line2_result = mySQL_query($line2_query);
	 $line2_num = mysql_num_rows($line2_result);
	 
}
else {
	$check_message="";
	$table_name = $_SESSION['db_prefix']."_receive_store_lines";
	$line_query = "SELECT *  FROM $table_name WHERE  receive_id = '".$receive_id."' AND store_item_id>0";
	$line_result = mySQL_query($line_query);
	$line_num = mysql_num_rows($line_result);
	
	$table_name = $_SESSION['db_prefix']."_receive_store_lines";
	$line2_query = "SELECT *  FROM $table_name WHERE  receive_id = '".$receive_id."' AND order_no>0";
	$line2_result = mySQL_query($line2_query);
	$line2_num = mysql_num_rows($line2_result);
	echo '<br>'.$line2_num;
}


	
$table_name2 = $_SESSION['db_prefix']."_suppliers";
$customer_query = "SELECT * FROM $table_name2 WHERE supplier_id ='".$b2."' ";
$customer_result = mySQL_query($customer_query);
$customer_num = mysql_num_rows($customer_result);	

$a0 = mysql_result($customer_result, 0, "account_name");
$a5 = mysql_result($customer_result, 0, "contact1");
$a6 = mysql_result($customer_result, 0, "credit_cash");
$a7 = mysql_result($customer_result, 0, "post_address");
$a9 = mysql_result($customer_result, 0, "post_place");
$a10 = mysql_result($customer_result, 0, "phys_address");
$a11 = mysql_result($customer_result, 0, "phys_place");
$a12 = mysql_result($customer_result, 0, "web_site");
$a13 = mysql_result($customer_result, 0, "VAT_no");
$a15 = mysql_result($customer_result, 0, "email2");
$a23 = mysql_result($customer_result, 0, "fax");
$a24 = mysql_result($customer_result, 0, "phone");
$a26 = mysql_result($customer_result, 0, "country");
$a29 = mysql_result($customer_result, 0, "email1");
$a30 = mysql_result($customer_result, 0, "cell1");
$a32 = mysql_result($customer_result, 0, "cell2");
$a35 = mysql_result($customer_result, 0, "contact2");
$a36 = mysql_result($customer_result, 0, "notes");

$report_name='Stores received';
?>

<title>Supplied to '<?php $name ?></title>

<!--style sheets-->
<link rel="stylesheet" type="text/css" href="../css/print.css" />

</head>

<body  onload="window.print(); window.close();" >
<div style="width:800px;">
<?php 
if ($company=='Manase') {
	   include('../include/print_report_header.php');
}
if ($company=='M-works') {
	   include('../include/m_print_report_header.php');
}
?>

<div style="width:650px; margin-left:50px; ">
<font font-family:Arial, Helvetica, sans-serif; size="+3"><b>Stores received</b></font>
  <br>
  <br>
<br>
          <table width="620" id="tableprint_no_border" >
            <tr>
              <td><label class="label_page_head">Received from:</label>
                &nbsp;&nbsp;&nbsp;
                <label class="label_page_head_2"> <?php echo $a0 ?></label></td>
            </tr>
          </table>
          
          <table width="620" id="print_tableprint" >
            <tr>
              <td width="114" align="left" valign="top">Received from:</td>
              <td width="155" align="left" valign="top"><?php echo $a0?></td>
              <td width="146" align="left" valign="top">Date:</td>
              <td width="185" align="left" valign="top"><?php echo date("d-m-Y", strtotime($b0 )) ?></td>
            </tr>
            <tr>
              <td align="left" valign="top">Delivery note:</td>
              <td align="left" valign="top"><?php echo $b1 ?></td>
              <td align="left" valign="top">Purchase order no:</td>
              <td align="left" valign="top"><?php echo $b5 ?></td>
            </tr>
            <tr>
              <td colspan="4" align="left" valign="top"><?php echo $check_message?></td>
            </tr>
          </table>
        <br>
<br>

          <table width="620" id="print_tableprint" >
            <tr>
              <td width="211" height="26" align="left" valign="top">Item</td>
              <td width="116" align="left" valign="top">Group</td>
              <td width="51" align="left" valign="top">Quantity</td>
              <td width="106" align="left" valign="top">Price (BWP)</td>
              <td width="104" align="left" valign="top">Total</td>
            </tr>
            <?php
				$i=0;
				$sub_tot=0;
				$a6_total=0;
				 while ($i<$line_num){
					 $a0 = mysql_result($line_result, $i, "receive_line_id");
					 $a1 = mysql_result($line_result, $i, "store_item_id");
					 $table_name = $_SESSION['db_prefix']."_store_items";
						$item_query = "SELECT item_name, subCategory, unit FROM $table_name WHERE store_item_id = '".$a1."' ";
						$item_result = mySQL_query($item_query);
						$a1a = mysql_result($item_result, 0, "item_name");
						$a3a = mysql_result($item_result, 0, "unit");
						$a4 = mysql_result($item_result, 0, "subCategory");
					 $a2 = mysql_result($line_result, $i, "quantity");
					 $a3 = mysql_result($line_result, $i, "price");
					$a5=$a2*$a3;
					$a6_total=$a6_total+$a5;
					 
				 ?>
            <tr>
              <td valign="top"><?php echo $a1a ?></td>
              <td valign="top"><?php echo $a4 ?></td>
              <td valign="top"><?php echo $a2 ?></td>
              <td align="right" valign="top"><div align="right"><?php echo $a3." /".$a3a ?></div></td>
              <td align="right" valign="top"><div align="right"><?php echo number_format($a5, 2, '.', ',')?></div></td>
            </tr>
            <?php 
			   // $a6_total=$a6_total+$a6;
				$i++;
				 }
				 ?>
            <tr>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top"></td>
            </tr>
            <tr>
              <td colspan="4" align="left" valign="top"><div align="right">Total:</div></td>
              <td align="left" valign="top"><div align="right"><?php echo number_format($a6_total, 2, '.', ',') ?></div></td>
            </tr>
          </table>
          <br><br>


          <table width="620" id="print_tableprint" >
            <tr>
              <td width="211" height="26" align="left" valign="top">Item </td>
              <td width="116" align="left" valign="top">Ordered for:</td>
              <td width="51" align="left" valign="top">Quantity</td>
              <td width="106" align="left" valign="top">Price (BWP)</td>
              <td width="112" align="left" valign="top">Total</td>
            </tr>
            <?php
				$i=0;
				$sub_tot=0;
				$b6_total=0;
				 while ($i<$line2_num){
					 $b0 = mysql_result($line2_result, $i, "receive_line_id");
					 $b1 = mysql_result($line2_result, $i, "item_name");
					 $b2 = mysql_result($line2_result, $i, "quantity");
					 $b3 = mysql_result($line2_result, $i, "price");
					 $b4 = mysql_result($line2_result, $i, "order_no");
					$b5=$b2*$b3;
					$b6_total=$b6_total+$b5;
					 
				 ?>
            <tr>
              <td valign="top"><?php echo $b1 ?></td>
              <td valign="top"><?php echo $b4 ?></td>
              <td valign="top"><?php echo $b2 ?></td>
              <td align="right" valign="top"><div align="right"><?php echo $b3 ?></div></td>
              <td align="right" valign="top"><div align="right"><?php echo number_format($b5, 2, '.', ',')?></div></td>
            </tr>
            <?php 
			   // $a6_total=$a6_total+$a6;
				$i++;
				 }
				 ?>
            <tr>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top"></td>
            </tr>
            <tr>
              <td colspan="4" align="left" valign="top"><div align="right">Total:</div></td>
              <td align="left" valign="top"><div align="right"><?php echo number_format($b6_total, 2, '.', ',') ?></div></td>
            </tr>
          </table>
          <br>
          <table width="620" id="print_tableprint" >
            <tr>
              <td align="right">                All total:</td>
              <td align="right"><?php echo number_format($value, 2, '.', ',')?></td>
            </tr>
            <tr>
              <td colspan="2">&nbsp;</td>
            </tr>
            <tr>
              <td width="494" align="right">Transport costs:</td>
              <td width="106" align="right"><?php echo number_format($transport, 2, '.', ',')?>&nbsp;</td>
            </tr>
          </table>
          
  </div>
</div>  
</div>
</body>
</html>